curl --request GET \
--url https://api.leadping.ai/wallets/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/wallets/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/wallets/me");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/wallets/me")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/wallets/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/wallets/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/wallets/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"balance": 123,
"balanceCalculatedAt": "2023-11-07T05:31:56Z",
"amountPurchased": 123,
"amountRemaining": 123,
"currency": "<string>",
"purchasedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"sourceType": "purchase",
"creditStatus": "active",
"organizationId": "<string>",
"originalTransactionId": "<string>",
"nextCreditExpirationAt": "2023-11-07T05:31:56Z",
"nextExpiringCreditAmount": 123,
"expiredCreditAmount": 123,
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get the current organization wallet balance
Returns the current organization wallet, including balance and funding status used for communication delivery and billing.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Response
Wallet was successfully retrieved.
Describes billing wallet data returned by Leadping.
Wallet or account balance after this transaction is applied.
UTC timestamp when Leadping last calculated the wallet balance.
Amount of wallet credit purchased in this deposit.
Amount of wallet credit still available for future usage.
ISO currency code used for the monetary amounts in this billing wallet response.
UTC timestamp when the wallet credit was purchased.
UTC timestamp when the wallet credit expires.
Defines the source that created a wallet credit lot.
purchase, promo, admin_adjustment, refund_adjustment, chargeback_reversal, compromise_restoration Defines the lifecycle state for a wallet credit lot.
active, consumed, expired, refunded, voided, disputed Organization ID that owns this wallet balance or credit.
Original wallet transaction ID referenced by a reversal, refund, or adjustment.
UTC timestamp when the next wallet credit amount expires.
Amount of wallet credit scheduled to expire next.
Amount of wallet credit that has expired.
Human-readable display name of the resource.
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

